org.apache.coyote.http2

## Class Http2AsyncUpgradeHandler.SendfileCompletionHandler

- java.lang.Object
- - org.apache.coyote.http2.Http2AsyncUpgradeHandler.SendfileCompletionHandler

- All Implemented Interfaces:
    CompletionHandler<Long,org.apache.coyote.http2.SendfileData>
  Enclosing class:
    Http2AsyncUpgradeHandler

      protected class Http2AsyncUpgradeHandler.SendfileCompletionHandler
      extends Object
      implements CompletionHandler<Long,org.apache.coyote.http2.SendfileData>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SendfileCompletionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `completed(Long nBytes, org.apache.coyote.http2.SendfileData sendfile)`
    `void` | `failed(Throwable t, org.apache.coyote.http2.SendfileData sendfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendfileCompletionHandler

          protected SendfileCompletionHandler()

  - ### Method Detail

    - #### completed

          public void completed(Long nBytes,
                                org.apache.coyote.http2.SendfileData sendfile)

      Specified by:
        `completed` in interface `CompletionHandler<Long,org.apache.coyote.http2.SendfileData>`

    - #### failed

          public void failed(Throwable t,
                             org.apache.coyote.http2.SendfileData sendfile)

      Specified by:
        `failed` in interface `CompletionHandler<Long,org.apache.coyote.http2.SendfileData>`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.